summaryrefslogtreecommitdiffstats
path: root/tests/sys/geom/class/raid3/conf.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/sys/geom/class/raid3/conf.sh')
-rwxr-xr-xtests/sys/geom/class/raid3/conf.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/sys/geom/class/raid3/conf.sh b/tests/sys/geom/class/raid3/conf.sh
new file mode 100755
index 0000000..4f141df
--- /dev/null
+++ b/tests/sys/geom/class/raid3/conf.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+# $FreeBSD$
+
+name="test"
+class="raid3"
+base=`basename $0`
+
+graid3_test_cleanup()
+{
+ [ -c /dev/$class/$name ] && graid3 stop $name
+ geom_test_cleanup
+}
+trap graid3_test_cleanup ABRT EXIT INT TERM
+
+. `dirname $0`/../geom_subr.sh
OpenPOWER on IntegriCloud